man(1)

NAME
ylva - command line password manager

SYNOPSIS
ylva [FLAGS] <OPTIONS>

DESCRIPTION
Ylva is a command line password manager program for Unix-like operating systems.

OPTIONS

-i, --init <path>
    Initialize new database

-E, --encrypt
    Encrypt current database

-D, --decrypt <path>
    Decrypt database

-c, --copy <id>
    Copy an entry to a new entry

-a, --add
    Add new entry

-p, --show-db-path
    Show current database path

-u, --use-db <path>
    Switch using another database

-r, --remove <id>
    Remove entry pointed by id

-f, --find <search>
    Search for entries

-F, --regex <search>
    Search for entries with regular expressions

-e, --edit <id>
    Edit entry pointed by id

-l, --list-entry <id>
    List entry pointed by id

-t, --show-latest [count]
    Show latest entries, parameter count is optional.

-A, --list-all
    Show database statuses

-v, --version
    Show program version

-g, --gen-password <length>
    Generate password

-q, --quick <search>
    This is the same as running --show-passwords -f

-h, --help
    Show short help and exit

FLAGS

--auto-encrypt
    Automatically encrypt after exit

--show-passwords
    Show passwords in listings

--show-qrcode
    Show data as QR code in --list-entry

--force
    --force only works with --init option

EXAMPLES
Create a new database:
       ylva --init "/path/to/file.db"

Open and decrypt database:
       ylva --decrypt "/path/to/existing/file.db"

Close and encrypt database:
       ylva --encrypt

Ylva knows what database is currently active and encrypts it. Encrypting will ask you to type a master passphrase which is used for encryption.

Add an entry to an open database:
       ylva --add

If you want to export all entries to a file:
       ylva --show-passwords -A > file.txt

To show latest 10 entries:
       ylva --show-latest 10

To show all entries ordered by date
       ylva --show-latest

COLORS
Ylva supports colored output. To use colors, set an environment variable YLVA_COLOR with one of the following value: BLUE, RED, GREEN, YELLOW, MAGENTA, CYAN or WHITE.

DEFAULT USERNAME
Ylva supports settings default username for entries. To enable it, set an environment variable YLVA_DEFAULT_USERNAME value to the wanted default. If you want Ylva to default to an empty username define YLVA_DEFAULT_USERNAME, but leave it empty.

NOTES
Ylva does not have a concept of "change the master password". When you encrypt an open database using --encrypt you can type a master password. This password is then required to decrypt the database. You can change the master password every time when you encrypt the database, if you want to.

FILES
$HOME/.ylva.lock

AUTHORS
Written by Niko Rosvall.

COPYRIGHT
Copyright (C) 2019-2021 Niko Rosvall <niko@byteptr.com>

Released under MIT license.